<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:12 CEST 2020 -->
<title>ComponentModelPackageImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ComponentModelPackageImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":9,"i19":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComponentModelPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.ComponentModel.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentTypeImpl.html" title="class in org.polarsys.chess.chessmlprofile.ComponentModel.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html" target="_top">Frames</a></li>
<li><a href="ComponentModelPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.ComponentModel.impl</div>
<h2 title="Class ComponentModelPackageImpl" class="title">Class ComponentModelPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.ComponentModel.impl.ComponentModelPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ComponentModelPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.polarsys.chess.chessmlprofile.ComponentModel.ComponentModelPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.ComponentModel.<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></h3>
<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.polarsys.chess.chessmlprofile.ComponentModel.ComponentModelPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.ComponentModel.<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></h3>
<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_IMPLEMENTATION">COMPONENT_IMPLEMENTATION</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_IMPLEMENTATION__BASE_COMPONENT">COMPONENT_IMPLEMENTATION__BASE_COMPONENT</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_IMPLEMENTATION__LANGUAGE">COMPONENT_IMPLEMENTATION__LANGUAGE</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_IMPLEMENTATION__OS">COMPONENT_IMPLEMENTATION__OS</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_IMPLEMENTATION__SOURCE_CODE_LOCATION">COMPONENT_IMPLEMENTATION__SOURCE_CODE_LOCATION</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_IMPLEMENTATION_FEATURE_COUNT">COMPONENT_IMPLEMENTATION_FEATURE_COUNT</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_TYPE">COMPONENT_TYPE</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_TYPE__BASE_COMPONENT">COMPONENT_TYPE__BASE_COMPONENT</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#COMPONENT_TYPE_FEATURE_COUNT">COMPONENT_TYPE_FEATURE_COUNT</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#eNAME">eNAME</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#FUNCTIONAL_PARTITION">FUNCTIONAL_PARTITION</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#FUNCTIONAL_PARTITION__BASE_COMPONENT">FUNCTIONAL_PARTITION__BASE_COMPONENT</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#FUNCTIONAL_PARTITION__MAF">FUNCTIONAL_PARTITION__MAF</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#FUNCTIONAL_PARTITION__MIF">FUNCTIONAL_PARTITION__MIF</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#FUNCTIONAL_PARTITION__SCHEDULING_TABLE">FUNCTIONAL_PARTITION__SCHEDULING_TABLE</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#FUNCTIONAL_PARTITION__UTILIZATION">FUNCTIONAL_PARTITION__UTILIZATION</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#FUNCTIONAL_PARTITION_FEATURE_COUNT">FUNCTIONAL_PARTITION_FEATURE_COUNT</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#HW_ABSTRACTION_COMPONENT_IMPL">HW_ABSTRACTION_COMPONENT_IMPL</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#HW_ABSTRACTION_COMPONENT_IMPL__BASE_COMPONENT">HW_ABSTRACTION_COMPONENT_IMPL__BASE_COMPONENT</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#HW_ABSTRACTION_COMPONENT_IMPL__HW_RES">HW_ABSTRACTION_COMPONENT_IMPL__HW_RES</a>, <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#HW_ABSTRACTION_COMPONENT_IMPL_FEATURE_COUNT">HW_ABSTRACTION_COMPONENT_IMPL_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentImplementation_Base_Component--">getComponentImplementation_Base_Component</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentImplementation_Language--">getComponentImplementation_Language</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentImplementation_OS--">getComponentImplementation_OS</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentImplementation_SourceCodeLocation--">getComponentImplementation_SourceCodeLocation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentImplementation--">getComponentImplementation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentModelFactory--">getComponentModelFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentType_Base_Component--">getComponentType_Base_Component</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getComponentType--">getComponentType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getFunctionalPartition_Base_Component--">getFunctionalPartition_Base_Component</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getFunctionalPartition_MAF--">getFunctionalPartition_MAF</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getFunctionalPartition_MIF--">getFunctionalPartition_MIF</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getFunctionalPartition_SchedulingTable--">getFunctionalPartition_SchedulingTable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getFunctionalPartition_Utilization--">getFunctionalPartition_Utilization</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getFunctionalPartition--">getFunctionalPartition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getHwAbstractionComponentImpl_Base_Component--">getHwAbstractionComponentImpl_Base_Component</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getHwAbstractionComponentImpl_HwRes--">getHwAbstractionComponentImpl_HwRes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#getHwAbstractionComponentImpl--">getHwAbstractionComponentImpl</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#eINSTANCE"><code>ComponentModelPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#eNS_URI"><code>ComponentModelPackage.eNS_URI</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentType</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getComponentType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentType--">getComponentType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Component Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentType.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel"><code>ComponentType</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentType_Base_Component--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentType_Base_Component</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getComponentType_Base_Component()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentType_Base_Component--">getComponentType_Base_Component</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Component</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentType.html#getBase_Component--"><code>ComponentType.getBase_Component()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentType--"><code>ComponentModelPackage.getComponentType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentImplementation</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getComponentImplementation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation--">getComponentImplementation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Component Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentImplementation.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel"><code>ComponentImplementation</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentImplementation_Base_Component--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentImplementation_Base_Component</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getComponentImplementation_Base_Component()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation_Base_Component--">getComponentImplementation_Base_Component</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Component</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentImplementation.html#getBase_Component--"><code>ComponentImplementation.getBase_Component()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation--"><code>ComponentModelPackage.getComponentImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentImplementation_Language--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentImplementation_Language</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getComponentImplementation_Language()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation_Language--">getComponentImplementation_Language</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Language</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentImplementation.html#getLanguage--"><code>ComponentImplementation.getLanguage()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation--"><code>ComponentModelPackage.getComponentImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentImplementation_OS--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentImplementation_OS</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getComponentImplementation_OS()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation_OS--">getComponentImplementation_OS</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>OS</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentImplementation.html#getOS--"><code>ComponentImplementation.getOS()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation--"><code>ComponentModelPackage.getComponentImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentImplementation_SourceCodeLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentImplementation_SourceCodeLocation</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getComponentImplementation_SourceCodeLocation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation_SourceCodeLocation--">getComponentImplementation_SourceCodeLocation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Source Code Location</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentImplementation.html#getSourceCodeLocation--"><code>ComponentImplementation.getSourceCodeLocation()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentImplementation--"><code>ComponentModelPackage.getComponentImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFunctionalPartition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFunctionalPartition</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getFunctionalPartition()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition--">getFunctionalPartition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Functional Partition</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/FunctionalPartition.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel"><code>FunctionalPartition</code></a></dd>
</dl>
</li>
</ul>
<a name="getFunctionalPartition_Utilization--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFunctionalPartition_Utilization</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getFunctionalPartition_Utilization()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition_Utilization--">getFunctionalPartition_Utilization</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Utilization</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/FunctionalPartition.html#getUtilization--"><code>FunctionalPartition.getUtilization()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition--"><code>ComponentModelPackage.getFunctionalPartition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFunctionalPartition_Base_Component--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFunctionalPartition_Base_Component</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getFunctionalPartition_Base_Component()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition_Base_Component--">getFunctionalPartition_Base_Component</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Component</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/FunctionalPartition.html#getBase_Component--"><code>FunctionalPartition.getBase_Component()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition--"><code>ComponentModelPackage.getFunctionalPartition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFunctionalPartition_MAF--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFunctionalPartition_MAF</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getFunctionalPartition_MAF()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition_MAF--">getFunctionalPartition_MAF</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>MAF</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/FunctionalPartition.html#getMAF--"><code>FunctionalPartition.getMAF()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition--"><code>ComponentModelPackage.getFunctionalPartition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFunctionalPartition_MIF--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFunctionalPartition_MIF</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getFunctionalPartition_MIF()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition_MIF--">getFunctionalPartition_MIF</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>MIF</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/FunctionalPartition.html#getMIF--"><code>FunctionalPartition.getMIF()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition--"><code>ComponentModelPackage.getFunctionalPartition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFunctionalPartition_SchedulingTable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFunctionalPartition_SchedulingTable</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getFunctionalPartition_SchedulingTable()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition_SchedulingTable--">getFunctionalPartition_SchedulingTable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Scheduling Table</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/FunctionalPartition.html#getSchedulingTable--"><code>FunctionalPartition.getSchedulingTable()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getFunctionalPartition--"><code>ComponentModelPackage.getFunctionalPartition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwAbstractionComponentImpl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwAbstractionComponentImpl</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getHwAbstractionComponentImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getHwAbstractionComponentImpl--">getHwAbstractionComponentImpl</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Hw Abstraction Component Impl</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/HwAbstractionComponentImpl.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel"><code>HwAbstractionComponentImpl</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwAbstractionComponentImpl_HwRes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwAbstractionComponentImpl_HwRes</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getHwAbstractionComponentImpl_HwRes()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getHwAbstractionComponentImpl_HwRes--">getHwAbstractionComponentImpl_HwRes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Hw Res</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/HwAbstractionComponentImpl.html#getHwRes--"><code>HwAbstractionComponentImpl.getHwRes()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getHwAbstractionComponentImpl--"><code>ComponentModelPackage.getHwAbstractionComponentImpl()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwAbstractionComponentImpl_Base_Component--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwAbstractionComponentImpl_Base_Component</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getHwAbstractionComponentImpl_Base_Component()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getHwAbstractionComponentImpl_Base_Component--">getHwAbstractionComponentImpl_Base_Component</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Component</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/HwAbstractionComponentImpl.html#getBase_Component--"><code>HwAbstractionComponentImpl.getBase_Component()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getHwAbstractionComponentImpl--"><code>ComponentModelPackage.getHwAbstractionComponentImpl()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentModelFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentModelFactory</h4>
<pre>public&nbsp;<a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelFactory</a>&nbsp;getComponentModelFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html#getComponentModelFactory--">getComponentModelFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/ComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.ComponentModel">ComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComponentModelPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.ComponentModel.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentTypeImpl.html" title="class in org.polarsys.chess.chessmlprofile.ComponentModel.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/ComponentModel/impl/ComponentModelPackageImpl.html" target="_top">Frames</a></li>
<li><a href="ComponentModelPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
